• Bug#267168: modprobe -v ohci1394 message, (successful RC1-osamu) (1/6)

    From Osamu Aoki@1:229/2 to All on Sat Aug 21 01:30:14 2004
    XPost: linux.debian.maint.boot
    From: [email protected]

    Package: installation-reports

    INSTALL REPORT

    Key points:
    * Successful cdrom-detect (w/ osamu fix) in normal IDE case.
    * Funny "modprobe -v ohci1394" message
    Aug 20 22:22:40 hw-detect: Detected module 'ohci1394' for 'Ricoh Co Ltd R5C552 IEEE 1394 Controller'

    The real module name is ochi1394. "h" <--> "c"

    Details:

    Debian-installer-version: RC1 (with osamu fix to cdrom-detect)
    uname -a: Linux (none) 2.4.26-1-386 #2 Sat May 1 16:31:24 EST 2004 i686 unknown Date: Sat, 21 Aug 2004 00:55:52 +0200
    Method: netinst CD install upto ...

    Machine: Sony Vaio PCG-GRX690
    Processor: : Mobile Intel(R) Pentium(R) 4 - M CPU 2.00GHz
    Memory: 512MB
    Root Device: (IDE but this is not full install.)
    Root Size/partition table: N/A
    Output of lspci and lspci -n:
    0000:00:00.0 Host bridge: Intel Corp. 82845 845 (Brookdale) Chipset Host Bridge (rev 04)
    0000:00:01.0 PCI bridge: Intel Corp. 82845 845 (Brookdale) Chipset AGP Bridge (rev 04)
    0000:00:1d.0 USB Controller: Intel Corp. 82801CA/CAM USB (Hub #1) (rev 02) 0000:00:1d.1 USB Controller: Intel Corp. 82801CA/CAM USB (Hub #2) (rev 02) 0000:00:1d.2 USB Controller: Intel Corp. 82801CA/CAM USB (Hub #3) (rev 02) 0000:00:1e.0 PCI bridge: Intel Corp. 82801 PCI Bridge (rev 42)
    0000:00:1f.0 ISA bridge: Intel Corp. 82801CAM ISA Bridge (LPC) (rev 02) 0000:00:1f.1 IDE interface: Intel Corp. 82801CAM IDE U100 (rev 02)
    0000:00:1f.3 SMBus: Intel Corp. 82801CA/CAM SMBus Controller (rev 02) 0000:00:1f.5 Multimedia audio controller: Intel Corp. 82801CA/CAM AC'97 Audio Controller (rev 02)
    0000:00:1f.6 Modem: Intel Corp. 82801CA/CAM AC'97 Modem Controller (rev 02) 0000:01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M7 LW [Radeon Mobility 7500]
    0000:02:05.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev a8)
    0000:02:05.1 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev a8)
    0000:02:05.2 FireWire (IEEE 1394): Ricoh Co Ltd R5C552 IEEE 1394 Controller 0000:02:08.0 Ethernet controller: Intel Corp. 82801CAM (ICH3) PRO/100 VE (LOM) Ethernet Controller (rev 42)
    0000:00:00.0 0600: 8086:1a30 (rev 04)
    0000:00:01.0 0604: 8086:1a31 (rev 04)
    0000:00:1d.0 0c03: 8086:2482 (rev 02)
    0000:00:1d.1 0c03: 8086:2484 (rev 02)
    0000:00:1d.2 0c03: 8086:2487 (rev 02)
    0000:00:1e.0 0604: 8086:2448 (rev 42)
    0000:00:1f.0 0601: 8086:248c (rev 02)
    0000:00:1f.1 0101: 8086:248a (rev 02)
    0000:00:1f.3 0c05: 8086:2483 (rev 02)
    0000:00:1f.5 0401: 8086:2485 (rev 02)
    0000:00:1f.6 0703: 8086:2486 (rev 02)
    0000:01:00.0 0300: 1002:4c57
    0000:02:05.0 0607: 1180:0476 (rev a8)
    0000:02:05.1 0607: 1180:0476 (rev a8)
    0000:02:05.2 0c00: 1180:0552
    0000:02:08.0 0200: 8086:1031 (rev 42)

    Base System Installation Checklist:
    [O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

    Initial boot worked: [ ]
    Configure network HW: [ ]
    Config network: [ ]
    Detect CD: [ ]
    Load installer modules: [ ]
    Detect hard drives: [ ]
    Partition hard drives: [ ]
    Create file systems: [ ]
    Mount partitions: [ ]
    Install base system: [ ]
    Install boot loader: [ ]
    Reboot: [ ]

    Comments/Problems:

    <Description of the install, in prose, and any thoughts, comments
    and ideas you had during the initial install.>

    Install logs and other status info is available in /var/log/debian-installer/. Once you have filled out this report, mail it to [email protected].
    Aug 20 22:22:13 syslogd started: BusyBox v1.00-pre10 (Debian 20040623-1)
    Aug 20 22:22:13 kernel: klogd started: BusyBox v1.00-pre10 (Debian 20040623-1) Aug 20 22:22:13 kernel: Linux version 2.4.26-1-386 (herbert@gondolin) (gcc version 3.3.3 (Debian 20040401)) #2 Sat May 1 16:31:24 EST 2004
    Aug 20 22:22:13 kernel: BIOS-provided physical RAM map:
    Aug 20 22:22:13 kernel: BIOS-e820: 0000000000000000 - 000000000009e800 (usable)
    Aug 20 22:22:13 kernel: BIOS-e820: 000000000009e800 - 00000000000a0000 (reserved)
    Aug 20 22:22:13 kernel: BIOS-e820: 00000000000d8000 - 00000000000e0000 (reserved)
    Aug 20 22:22:13 kernel: BIOS-e820: 00000000000e4000 - 0000000000100000 (reserved)
    Aug 20 22:22:13 kernel: BIOS-e820: 0000000000100000 - 000000001fef0000 (usable)
    Aug 20 22:22:13 kernel: BIOS-e820: 000000001fef0000 - 000000001feff000 (ACPI data)
    Aug 20 22:22:13 kernel: BIOS-e820: 000000001feff000 - 000000001ff00000 (ACPI NVS)
    Aug 20 22:22:13 kernel: BIOS-e820: 000000001ff00000 - 000000001ff80000 (usable)
    Aug 20 22:22:13 kernel: BIOS-e820: 000000001ff80000 - 0000000020000000 (reserved)
    Aug 20 22:22:13 kernel: BIOS-e820: 00000000ff800000 - 00000000ffc00000 (reserved)
    Aug 20 22:22:13 kernel: BIOS-e820: 00000000fff80000 - 0000000100000000 (reserved)
    Aug 20 22:22:13 kernel: 511MB LOWMEM available.
    Aug 20 22:22:13 kernel: On node 0 totalpages: 130944
    Aug 20 22:22:13 kernel: zone(0): 4096 pages.
    Aug 20 22:22:13 kernel: zone(1): 126848 pages.
    Aug 20 22:22:13 kernel: zone(2): 0 pages.
    Aug 20 22:22:13 kernel: Sony Vaio laptop detected.
    Aug 20 22:22:13 kernel: ACPI: RSDP (v000 PTLTD ) @ 0x000f7690
    Aug 20 22:22:13 kernel: ACPI: RSDT (v001 SONY B0 0x20020801 PTL 0x00000000) @ 0x1fefa55d
    Aug 20 22:22:13 kernel: ACPI: FADT (v001 SONY B0 0x20020801 PTL 0x01000000) @ 0x1fefed9b
    Aug 20 22:22:13 kernel: ACPI: BOOT (v001 SONY B0 0x20020801 PTL 0x00000001) @ 0x1fefee0f
    Aug 20 22:22:13 kernel: ACPI: SSDT (v001 SONY B0 0x20020801 PTL 0x00000001) @ 0x1fefee37
    Aug 20 22:22:13 kernel: ACPI: SSDT (v001 SONY B0 0x20020801 PTL 0x00000001) @ 0x1fefef1e
    Aug 20 22:22:13 kernel: ACPI: DSDT (v001 SONY B0 0x20020801 PTL 0x0100000d) @ 0x00000000
    Aug 20 22:22:13 kernel: Kernel command line: vga=normal initrd=/install/initrd.gz ramdisk_size=10240 root=/dev/rd/0 init=/linuxrc devfs=mount,dall rw BOOT_IMAGE=/install/vmlinuz
    Aug 20 22:22:13 kernel: No local APIC present or hardware disabled
    Aug 20 22:22:13 kernel: Initializing CPU#0
    Aug 20 22:22:13 kernel: Detected 1988.565 MHz processor.

    [continued in next message]

    --- SoupGate-Win32 v1.05
    * Origin: you cannot sedate... all the things you hate (1:229/2)
  • From Osamu Aoki@1:229/2 to All on Sat Aug 21 11:10:12 2004
    XPost: linux.debian.maint.boot
    From: [email protected]

    tags 267168 patch
    thanks

    Since I posted many buggy codes :-( , I post the working one here.
    (The bottom of BTS for cdrom-detect.)

    This should solve most of cdrom-detect bug reports :-)

    I reported success for Dell DMA case on 265636 using this patch.

    Osamu


    #! /bin/sh

    set -e
    . /usr/share/debconf/confmodule
    #set -x

    log() {
    logger -t cdrom-detect "$@"
    }

    fail () {
    log "$@"
    db_input critical cdrom-detect/failure || [ $? -eq 30 ]
    db_go
    # redundant but to be sure
    umount /cdrom 2>/dev/null || true
    exit 1
    }

    hw-detect cdrom-detect/detect_progress_title || true

    maxmount=2 # max counts of the mounting tries
    imount=0 # mount counter
    mounted=0 # 0=initial, 1=detection in progress, 2=mounted
    while true
    do
    log "Searching for Debian installation media..."
    if [ ! -e /cdrom ] ; then
    mkdir /cdrom 2>/dev/null || true
    elif [ "$mounted" = "1" ]; then
    log "Cdrom device was detected but the mount failed."
    db_input critical cdrom-detect/retry || [ $? -eq 30 ]
    db_go
    db_get cdrom-detect/retry
    if [ "$RET" = "true" ]; then
    mounted=0
    continue
    else
    fail "Retry of cdrom detect refused."
    fi
    elif [ -e /cdrom/.disk/info ] ; then
    log "Sanity check of CD before aproving mounted CD"
    CDNAME=`cat /cdrom/.disk/info`
    log "Detected CD '$CDNAME'"
    # Set the suite used by base-installer and base-config to
    # the suite that is on the CD from Release file.
    for distlink in stable testing unstable ; do
    relfile=/cdrom/dists/$distlink/Release
    if [ -e $relfile ] ; then
    suite=$(sed -n 's/^Suite: *//p' $relfile)
    log "Detected CD with '$suite' distribution"
    db_set mirror/suite $suite
    break
    fi
    done
    # For DMA related mount errors. (RR extension)
    if [ "X" = "X${suite}" ]; then
    log "Could not determine the package 'suite'. Is the cdrom OK?"
    umount /cdrom 2>/dev/null || true
    mounted=1
    continue
    elif [ ! -e "/cdrom/dists/$suite/Release" ]; then
    log "No such file '/cdrom/dists/$suite/Release'. Is the cdrom OK?"
    umount /cdrom 2>/dev/null || true
    mounted=1
    continue
    fi
    log "Exit main loop after approving mounted CD."
    break

    elif mount | grep -q 'on /cdrom ' ; then
    log "The available CD is not a Debian CD!"
    umount /cdrom 2>/dev/null || true
    db_input critical cdrom-detect/wrong-cd || [ $? -eq 30 ]
    db_go
    imount=$((${imount}-1))
    mounted=0
    continue
    fi

    # Start detecting and mounting cdrom
    if [ "$imount" -ge "$maxmount" ] ; then
    fail "Tried to mount media $imount times and failed."
    fi
    imount=$((${imount}+1))
    log "Loop $imount out of $maxmount"
    mounted=1

    log "Try to detect a cdrom automatically by devfs."
    # This cdrom detection can be disabled by CDROM_DEVICES=none
    if [ -n "$CDROM_DEVICES" ]; then
    devices="$CDROM_DEVICES"
    elif [ -d /dev/cdroms ]; then
    devices=$(echo /dev/cdroms/*|grep -Fv '*' || true)
    else
    devices=""
    fi
    if [ -n "$devices" ] && [ "$devices" != "none" ]; then
    for device in $devices
    do
    if mount -t iso9660 -o ro,exec $device /cdrom; then
    log "Cdrom-mount succeeded: device=$device"
    mounted=2
    db_set cdrom-detect/cdrom_device $device
    break # for device loop
    else
    log "Cdrom-mount failed (error=$?): device=$device"
    umount /cdrom 2>/dev/null || true
    mounted=0
    fi
    done
    continue
    fi

    log "Try to mount a driver floppy since no auto-cdrom device found."
    if [ -e /usr/lib/debian-installer/retriever/floppy-retriever ]; then
    db_input critical cdrom-detect/load_floppy
    db_go
    db_get cdrom-detect/load_floppy
    if [ "$RET" = true ]; then
    anna floppy-retriever
    hw-detect cdrom-detect/detect_progress_title || true
    imount=$((${imount}-1))
    mounted=2
    continue
    fi
    fi

    log "Try to mount a cdrom on old non-devfs hardwares manually."
    db_input critical cdrom-detect/manual_config || [ $? -eq 30 ]
    db_go
    db_get cdrom-detect/manual_config

    modules=none
    for i in `ls -1 /lib/modules/*/kernel/drivers/cdrom/ | sed 's/\.ko$//' | sed 's/\.o$//'`
    do
    modules="$modules, $i"
    done

    if [ "$RET" = "true" ]; then
    db_subst cdrom-detect/cdrom_module choices "$modules"
    db_input critical cdrom-detect/cdrom_module || [ $? -eq 30 ]
    db_go

    db_get cdrom-detect/cdrom_module
    module="$RET"

    db_input critical cdrom-detect/cdrom_device || [ $? -eq 30 ]
    db_go

    db_get cdrom-detect/cdrom_device
    device="$RET"

    if [ "$module" != "none" ]; then
    modprobe $module
    fi
    if mount -t iso9660 -o ro,exec $device /cdrom; then
    log "Cdrom-mount succeeded: device=$device"
    db_set cdrom-detect/cdrom_device $device
    mounted=2
    db_set cdrom-detect/cdrom_device $device
    else
    log "Cdrom-mount failed (error=$?): device=$device"
    umount /cdrom 2>/dev/null || true
    imount=$((${imount}-1))
    mounted=0
    fi
    continue
    fi
    fail "No media detected: auto-cdrom, floppy, manual-cdrom."
    done


    # Ask for eject to be installed into /target/, to be able to use it in
    # the prebaseconfig script.
    apt-install eject || true

    # Hey, we're done
    db_subst cdrom-detect/success cdname "$CDNAME"
    db_input low cdrom-detect/success || [ $? -eq 30 ]
    db_go

    exit 0

    --- SoupGate-Win32 v1.05
    * Origin: you cannot sedate... all the things you hate (1:229/2)